diff --git a/.depend b/.depend
index 4875991..a9e66ac 100644
--- a/.depend
+++ b/.depend
@@ -545,6 +545,144 @@ typing/datarepr.cmi : \
     typing/types.cmi \
     typing/path.cmi \
     typing/ident.cmi
+typing/debug_core.cmo : \
+    typing/types.cmi \
+    typing/typemod.cmi \
+    typing/typedtree.cmi \
+    typing/printtyp.cmi \
+    parsing/pprintast.cmi \
+    typing/path.cmi \
+    parsing/parsetree.cmi \
+    parsing/parse.cmi \
+    parsing/longident.cmi \
+    parsing/location.cmi \
+    typing/ident.cmi \
+    typing/env.cmi \
+    parsing/asttypes.cmi \
+    parsing/ast_helper.cmi \
+    typing/debug_core.cmi
+typing/debug_core.cmx : \
+    typing/types.cmx \
+    typing/typemod.cmx \
+    typing/typedtree.cmx \
+    typing/printtyp.cmx \
+    parsing/pprintast.cmx \
+    typing/path.cmx \
+    parsing/parsetree.cmi \
+    parsing/parse.cmx \
+    parsing/longident.cmx \
+    parsing/location.cmx \
+    typing/ident.cmx \
+    typing/env.cmx \
+    parsing/asttypes.cmi \
+    parsing/ast_helper.cmx \
+    typing/debug_core.cmi
+typing/debug_core.cmi : \
+    typing/types.cmi \
+    parsing/parsetree.cmi \
+    parsing/location.cmi \
+    typing/env.cmi \
+    parsing/asttypes.cmi
+typing/debug_main.cmo : \
+    utils/warnings.cmi \
+    typing/typemod.cmi \
+    typing/typedtree.cmi \
+    typing/typedecl.cmi \
+    typing/typecore.cmi \
+    parsing/syntaxerr.cmi \
+    typing/printtyp.cmi \
+    parsing/pprintast.cmi \
+    parsing/parsetree.cmi \
+    parsing/longident.cmi \
+    parsing/location.cmi \
+    typing/env.cmi \
+    typing/debug_slice.cmi \
+    typing/debug_message.cmo \
+    typing/debug_core.cmi \
+    typing/ctype.cmi \
+    typing/btype.cmi \
+    parsing/asttypes.cmi \
+    parsing/ast_helper.cmi \
+    typing/debug_main.cmi
+typing/debug_main.cmx : \
+    utils/warnings.cmx \
+    typing/typemod.cmx \
+    typing/typedtree.cmx \
+    typing/typedecl.cmx \
+    typing/typecore.cmx \
+    parsing/syntaxerr.cmx \
+    typing/printtyp.cmx \
+    parsing/pprintast.cmx \
+    parsing/parsetree.cmi \
+    parsing/longident.cmx \
+    parsing/location.cmx \
+    typing/env.cmx \
+    typing/debug_slice.cmx \
+    typing/debug_message.cmx \
+    typing/debug_core.cmx \
+    typing/ctype.cmx \
+    typing/btype.cmx \
+    parsing/asttypes.cmi \
+    parsing/ast_helper.cmx \
+    typing/debug_main.cmi
+typing/debug_main.cmi : \
+    parsing/parsetree.cmi \
+    typing/env.cmi
+typing/debug_message.cmo : \
+    typing/types.cmi \
+    typing/typecore.cmi \
+    parsing/syntaxerr.cmi \
+    typing/printtyp.cmi \
+    parsing/pprintast.cmi \
+    typing/path.cmi \
+    parsing/parsetree.cmi \
+    parsing/longident.cmi \
+    parsing/location.cmi \
+    typing/ident.cmi \
+    typing/debug_core.cmi
+typing/debug_message.cmx : \
+    typing/types.cmx \
+    typing/typecore.cmx \
+    parsing/syntaxerr.cmx \
+    typing/printtyp.cmx \
+    parsing/pprintast.cmx \
+    typing/path.cmx \
+    parsing/parsetree.cmi \
+    parsing/longident.cmx \
+    parsing/location.cmx \
+    typing/ident.cmx \
+    typing/debug_core.cmx
+typing/debug_slice.cmo : \
+    utils/warnings.cmi \
+    typing/typemod.cmi \
+    typing/typedtree.cmi \
+    parsing/pprintast.cmi \
+    parsing/parsetree.cmi \
+    bytecomp/meta.cmi \
+    parsing/longident.cmi \
+    parsing/location.cmi \
+    typing/env.cmi \
+    typing/debug_core.cmi \
+    parsing/asttypes.cmi \
+    parsing/ast_helper.cmi \
+    typing/debug_slice.cmi
+typing/debug_slice.cmx : \
+    utils/warnings.cmx \
+    typing/typemod.cmx \
+    typing/typedtree.cmx \
+    parsing/pprintast.cmx \
+    parsing/parsetree.cmi \
+    bytecomp/meta.cmx \
+    parsing/longident.cmx \
+    parsing/location.cmx \
+    typing/env.cmx \
+    typing/debug_core.cmx \
+    parsing/asttypes.cmi \
+    parsing/ast_helper.cmx \
+    typing/debug_slice.cmi
+typing/debug_slice.cmi : \
+    parsing/parsetree.cmi \
+    typing/env.cmi
 typing/env.cmo : \
     utils/warnings.cmi \
     typing/types.cmi \
@@ -5788,6 +5926,7 @@ driver/compile_common.cmo : \
     utils/misc.cmi \
     typing/includemod.cmi \
     typing/env.cmi \
+    typing/debug_main.cmi \
     utils/config.cmi \
     driver/compmisc.cmi \
     driver/compenv.cmi \
@@ -5808,6 +5947,7 @@ driver/compile_common.cmx : \
     utils/misc.cmx \
     typing/includemod.cmx \
     typing/env.cmx \
+    typing/debug_main.cmx \
     utils/config.cmx \
     driver/compmisc.cmx \
     driver/compenv.cmx \
@@ -6358,6 +6498,7 @@ toplevel/toploop.cmo : \
     typing/env.cmi \
     bytecomp/emitcode.cmi \
     bytecomp/dll.cmi \
+    typing/debug_main.cmi \
     utils/config.cmi \
     driver/compmisc.cmi \
     driver/compenv.cmi \
@@ -6402,6 +6543,7 @@ toplevel/toploop.cmx : \
     typing/env.cmx \
     bytecomp/emitcode.cmx \
     bytecomp/dll.cmx \
+    typing/debug_main.cmx \
     utils/config.cmx \
     driver/compmisc.cmx \
     driver/compenv.cmx \
